Subject: Re: bug#51757: 27.2; [patch] man.el : wait for all man(1) output to be buffered before fontifying

From: Jason Vas Dias <[email-masked]>
Date: Thu, 11 Nov 2021 12:08:14 +0000

Of course, with the man.el from emacs-28, I get the error:
  'completing-read: Symbol’s function definition is void: format-prompt'
under Emacs-27.2 , which is NOT Emacs-28 :-( .

If you can do 'M-x manual-entry bash' in Emacs-28, and
it never misses a font transition, let me know - I will
re-examine once Fedora's Emacs 28 comes out.

But I enclose a screenshot of how the bash manpage looks with the
Emacs 27.2 man.el, with all the remaining text of the man-page
after the start of the 'PARAMETERS' section in bold, because
only a partial escape sequence was at the end of the buffer
and the transition was missed by fontification-on-the-fly .

Best Regards,
Jason

On 11/11/2021, Jason Vas Dias <[email-masked]> wrote:
> Good day Lars -
>
>    Thanks,  I will test with the man.el from Emacs 28 .
>
>    But if it still does fontification on the fly, for each
>    buffer read, I suspect it will still have the problem -
>    there is no guarantee that the buffer did not end
>    with only a partial escape sequence, which is
>    then ignored.
>
>    Unless this situation is detected and handled
>    (check for partial escape at end, remove it,
>     prefix it to the next buffer read)
>    then it will still occur.
>    I thought it much more complicated to try
>    to do that than to just wait until the complete
>    man process output has been read, then
>    fontify the buffer - much simpler, it always
>    works, only a brief display of unfontified contents
>    for long man-pages occurs.
>
>   I'll grab just the man.el from Emacs 28 and give it
>   a try - I don't want to mess around with RPM
>   packaging & building now to build the whole
>   thing, I'll wait for the Fedora package to come out.
>
> Thanks & Best Regards,
> Jason
>
>
>
> On 11/11/2021, Lars Ingebrigtsen <[email-masked]> wrote:
>> "Jason Vas Dias"<[email-masked]> writes:
>>
>>>   Render a LONG manual page, for instance :
>>>
>>>       M-x manual-entry bash
>>>
>>>   ALWAYS triggers this bug for me, on a Fedora 34 x86_64 Linux distro,
>>>   fully up-to-date as of 2021-11-11 -
>>>
>>>       $ rpm -q emacs
>>>       emacs-27.2-5.fc34.x86_64
>>
>> I think these ANSI glitches have been fixed in Emacs 28.  Would it be
>> possible for you to build that and check?
>>
>> --
>> (domestic pets only, the antidote for overdose, milk.)
>>    bloggy blog: http://lars.ingebrigtsen.no
>>
>